chrome.runtime.onInstalled.addListener(function () {
	chrome.declarativeContent.onPageChanged.removeRules(undefined, function () {
		chrome.declarativeContent.onPageChanged.addRules([{
			conditions: [new chrome.declarativeContent.PageStateMatcher({
				pageUrl: { schemes: ['https', 'http', 'chrome'] },
			})
			],
			actions: [new chrome.declarativeContent.ShowPageAction()]
		}]);
	});

	chrome.storage.local.set({
		'bg': '',
		'cat': '',
		'timeFormat': '',
		'list': [],
		'entireImage': '',
		'imageOwner': '',
		'imageOwnerUrl':'',
	});


	chrome.tabs.query({}, function (tabs) {
		for (let i = 0; i < tabs.length; ++i) {
			chrome.tabs.reload(tabs[i].id);
		}
	});
});